Page MenuHomePhabricator

systemd spams journal due to time changed by sclockadj, rewrite of sclockadj, sclockadj2
Closed, ResolvedPublic

Description

bug 1
100 % CPU bug:


bug 2
systemd spams journal due to time changed by sclockadj


AvdN built a sclockadj replacement written in python, but more work is needed:
https://github.com/Whonix/sdwdate/pull/4


Forum discussion:
https://forums.whonix.org/t/sclockadj2-slow-clock-adjuster-prevent-fingerprintable-clock-adjustments


Related:
T621


Deprecated:

Patrick asked on stackexchange:
https://unix.stackexchange.com/questions/166639/how-to-disable-systemds-time-has-been-changed-message-spam-in-systemd-journal

Jason:
The only way I see to avoid systemd spam is to change the logging level in the conf file. How is it that adjtimex changes the clock without a systemd message? Maybe sclockadj can do that.

Migrated from github:
https://github.com/Whonix/Whonix/issues/363

Details

Impact
Needs Triage

Event Timeline

JasonJAyalaP updated the task description. (Show Details)Jan 12 2015, 8:07 PM
JasonJAyalaP created this task.
JasonJAyalaP raised the priority of this task from to Normal.
Patrick updated the task description. (Show Details)Jan 12 2015, 9:50 PM
Patrick updated the task description. (Show Details)Feb 9 2015, 4:38 PM
Patrick added a project: python.
Patrick set Impact to Needs Triage.Jun 21 2015, 2:00 PM
Patrick added a subscriber: HulaHoop.
Patrick renamed this task from systemd spams journal due to time changed by sclockadj to systemd spams journal due to time changed by sclockadj, rewrite of sclockadj, sclockadj2.Jun 21 2015, 2:01 PM
Patrick updated the task description. (Show Details)Mar 15 2016, 12:56 PM
Patrick updated the task description. (Show Details)Mar 15 2016, 1:01 PM
Patrick updated the task description. (Show Details)Feb 4 2017, 6:16 PM
Patrick closed this task as Resolved.Jul 25 2018, 8:35 AM

sclockadj3 is done -> T686.

log spam is in different ticket -> T691.